#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 clrGold
#property indicator_color2 clrRed

 
double Buf_0[],Buf_1[];

double TrendStrength;
double TSAvg;

double HighVal, LowVal;;



int TimePeriod = 0;
extern int LookBack = 50;
int History;

string strComment;

int i,x;
//--------------------------------------------------------------------
int init()
  {
   SetIndexBuffer(0,Buf_0);
   SetIndexStyle (0,DRAW_HISTOGRAM,STYLE_SOLID);
   
   SetIndexBuffer(1,Buf_1);
   SetIndexStyle (1,DRAW_LINE,STYLE_SOLID);

   
   SetLevelValue(0,0);
   

   
   return;
  }
//--------------------------------------------------------------------
int start()
{
strComment = "\n";
History = Bars;

for (i=0;i<History;i++)
{

HighVal = iHigh(Symbol(),TimePeriod,iHighest(Symbol(),TimePeriod,MODE_HIGH,LookBack,i));
      LowVal = iLow(Symbol(),TimePeriod,iLowest(Symbol(),TimePeriod,MODE_LOW,LookBack,i));
      
      if (HighVal != 0 && LowVal != 0)
         TrendStrength = (((100/(HighVal-LowVal))*(iClose(Symbol(),TimePeriod,i)-LowVal))-50);

Buf_0[i]=TrendStrength;

}


for(x=0;x<History-LookBack;x++)
{
   TSAvg = 0.0;
   for(i=x;i<x+LookBack;i++)
   {
      TSAvg = TSAvg + Buf_0[i];
   }
   TSAvg = (TSAvg / LookBack);
   Buf_1[x]=TSAvg;

}


return;
}
//--------------------------------------------------------------------

